Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Namespace fabric.util.object

fabric.util.object
Defined in: lang_object.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.util.object

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | fabric.util.object.clone(object) Creates an empty object and copies all enumerable properties of another object to it
<static> | fabric.util.object.extend(destination, source) Copies all enumerable properties of one object to another

Namespace Detail
fabric.util.object
Method Detail
<static> fabric.util.object.clone(object)
Creates an empty object and copies all enumerable properties of another object to it

Parameters:
{Object} object
  Object to clone

<static> fabric.util.object.extend(destination, source)
Copies all enumerable properties of one object to another

Parameters:
{Object} destination
  Where to copy to
{Object} source
  Where to copy from

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:43 GMT-0400 (EDT)